IRB(1)()

NAME
irb - Interactive Ruby Shell

SYNOPSIS
irb [--version] [-Idfmrv] [--[no]inspect] [--[no]readline] [--prompt mode] [--prompt-mode mode] [--inf-ruby-mode] [--simple-prompt] [--noprompt] [--tracer] [--back-trace-limit n] [--irb_debug n] [--] [program_file] [argument ...]

DESCRIPTION
irb is the REPL(read-eval&print loop) environment for Ruby programs.

OPTIONS

-d  Sets $DEBUG to true (same as `ruby -d')

-f  Suppresses read of ~/.irbrc

-m  Bc mode (load mathn, fraction or matrix are available)

--r load-module
    Same as `ruby -r'

-I path
    Specifies $LOAD_PATH directory

--inspect
    Uses `inspect' for output (default except for bc mode)

--noinspect
    Doesn't use inspect for output

--readline
    Uses Readline extension module.

--noreadline
    Doesn't use Readline extension module.

--prompt mode
--prompt-mode mode
    Switch prompt mode. Pre-defined prompt modes are `default', `simple', `xmp' and `inf-ruby'.

--inf-ruby-mode
    Uses prompt appropriate for inf-ruby-mode on emacs. Suppresses --readline.

--simple-prompt
    Makes prompts simple.

--noprompt
    No prompt mode.

--tracer
    Displays trace for each execution of commands.

--back-trace-limit n
    Displays backtrace top n and tail n. The default value is 16.

--irb_debug n
    Sets internal debug level to n (not for popular use)

ENVIRONMENT
IRBRC

Also irb depends on same variables as ruby(1).

FILES
~/.irbrc
    Personal irb initialization.

SEE ALSO
ruby(1).

REPORTING BUGS
Security vulnerabilities should be reported via an email to <security@ruby-lang.org>. Reported problems will be published after fixed.

And you can report other bugs and feature requests via the Ruby Issue Tracking System (http://redmine.ruby-lang.org). Do not report security vulnerabilities via the system because it publishes the vulnerabilities immedately.

AUTHORS
Written by Keiju ISHITSUKA.